/*
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.amdatu.security.authentication.authservice;

/**
 * Constants used by {@link AuthenticationService}.
 */
public interface AuthenticationServiceConstants {

    /**
     * Prefix used for all topics related to events from {@link AuthenticationService}.
     */
    String TOPIC_PREFIX = "org/amdatu/security/authentication/authservice";

    /**
     * Topic to listen for login events.
     */
    String TOPIC_LOGIN = TOPIC_PREFIX + "/LOGIN";
    /**
     * Topic to listen for login events.
     */
    String TOPIC_LOGOUT = TOPIC_PREFIX + "/LOGOUT";

    String KEY_USER_ID = "userId";
    String KEY_PROVIDER_TYPE = "providerType";
    String KEY_SESSION_ID = "sessionId";
}
